﻿@using OfficeOpenXml.FormulaParsing.Excel.Functions.Math
@using StarterProjectV2.Models
@model StarterProjectV2.ViewModels.FolioDetail
@{
    ViewBag.Title = "Folio View";
}

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>

    <style>
        div.pager {
            /*text-align: right;*/
            /*width: 60em;*/
            /*margin: 1em auto;*/
        }

        .C9999 {
            background: LightPink;
        }

        .table {
            font-size: 13px;
        }

        table.table {
            empty-cells: show;
        }

        table th, td {
            font-size: 11px;
            padding: 5px !important;
            width: 60px;
            max-width: 65px !important;
            overflow-wrap: break-word;
            word-break: break-all;
        }
    </style>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Folio Details
}
<div class="card" style="margin-bottom: 0">
    <div class="container-fluid mt-3">
        <div class="row p-2">
            <div class="col-4">
            </div>
            <div class="col-4">
                <h2 class="text-center" style="color:red">@ViewData["Title"]</h2>
            </div>
            <div class="col-4 d-flex justify-content-end">
            </div>
        </div>
    </div>
    <div class="card-body">
        <div class="form-group row py-3">
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Folio No</label>
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">

                    @Model.Booking.FolioNo

                </p>
            </div>
        </div>
        <div class="form-group row py-3">
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Arrival Date</label>
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">

                    @Model.Booking.CheckInDate.ToString("dd-MMM-yyyy")

                </p>
            </div>
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Departure Date</label>
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Model.Booking.CheckOutDate.ToString("dd-MMM-yyyy")
                </p>
            </div>
        </div>
        <div class="form-group row py-3">
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Booking No</label>
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Model.Booking.OwnerRoomBookngId

                </p>
            </div>
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">No. of Nights</label>
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Model.NoOfDaysSpent
                </p>
            </div>
        </div>
        <div class="form-group row py-3">
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">No. of Adults</label>
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Model.Booking.NoOfAdult

                </p>
            </div>
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">No. of Children</label>
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Model.Booking.NoOfChild
                </p>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        @*Zaziba's table*@
        <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0;background-color:#d8efef">
            <thead style="color: white; background-color:#315152">
                <tr>
                    @{
                        <th scope="col">Date</th>
                        @*<th scope="col">Room No</th>*@
                        <th scope="col">Description</th>
                        <th scope="col">Amount of Charge</th>
                    }
                </tr>
            </thead>
            <tbody>
                @{
                    for (int roww = 0; roww < Model.NoOfDaysSpent; roww++)
                    {
                        {
                            for (int col = 0; col < Model.Booking.NoOfRoomAllotted; col++)
                            {
                                <tr>
                                    <td scope="col" style="solid #ccc;font-size:15px;">@Model.Booking.CheckInDate.AddDays(roww).ToString("dd-MMM-yyyy")</td>
                                    @*<td scope="col">Room No</td>*@
                                    <td scope="col" style="solid #ccc;font-size:15px;">Full Day Room Charge</td>
                                    <td scope="col" class="text-left" style="solid #ccc;font-size:15px;">@Model.ARR[roww]</td>
                                </tr>

                            }
                        }
                    }
                }
            </tbody>
        </table>
        <div class="col-12 text-right">
            Total Cost: @Model.TotalCost
        </div>
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0"></table>
        </div>

    </div>
</div>

<script>
    $(document).ready(function() {

        $("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $("#saveItem").remove();
        $("#reportItem").remove();
        $("#dashboardItem").remove();
        $('#printItem').click(function(){
            window.print();
        });
        $('#reloadItem').click(function() {
            location.reload();
        });

    });

</script>